Nieuws:

We zijn er weer.

Na lange tijd van afwezigheid zijn we er weer  :laugh:
We hebben alle wachtwoorden gereset, je oude wachtwoord werkt niet meer.Je moet via het "wachtwoord vergeten"-linkje je wachtwoord resetten. Je krijgt hiervoor een mailtje op het adres dat je bij ons geregistreerd hebt.

De komende tijd zijn we nog druk bezig om de rest van de site op te bouwen, dus het kan zijn dat sommige onderdelen (tijdelijk) niet werken.

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: command line software  (gelezen 2518 keer)

Offline Para

  • Lid
  • Steunpunt: Nee
command line software
« Gepost op: 2010/09/11, 09:57:31 »
Kan iemand mij, op een eenvoudige manier, uitleggen hoe ik dergelijke software moet installeren?
Ik ben nieuw in ubuntu en ben een paar programma's tegen gekomen die me interesseren.
Ik weet echter niet hoe ik ze moet installeren. Downloaden lukt wel en uitpakken ook, maar hoe het verder moet weet ik niet.
Alvast bedankt voor de hulp.

PaRa

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #1 Gepost op: 2010/09/11, 10:06:10 »
Over welke programma's gaat het? Wat meer info zodat er beter geholpen kan worden. ThX

Offline HarzG

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #2 Gepost op: 2010/09/11, 11:26:41 »
"Software installeren" wordt bij Ubuntu niet zo uitgevoerd als in Windows.
Het downloaden en installeren van "gebruikelijke" software wordt automatisch uitgevoerd met het Software-Center.

Alleen dan als je van andere dan de Ubuntu-bronnen software wilt installeren, moet je soms "handmatige" installaties uitvoeren.
Er staat in de documentatie ook dit:
Citaat
Waarschuwing.

Download alleen software rechtstreeks van een website als de software niet beschikbaar is in de Ubuntu pakketbronnen! De kwaliteit van de software in de pakketbronnen wordt door ervaren mensen gecontroleerd en is 100% veilig, dit is bij andere software mogelijk niet het geval. Ook worden pakketten uit de pakketbronnen automatisch up-to-date gehouden door middel van de update-manager. Bij zelf gedownloade pakketten zult u deze updates missen.

Daarbij komt dat software van buitenaf mogelijk interfereert met de rest van het systeem waardoor (stabiliteits)problemen kunnen ontstaan. Installeer sowieso enkel software waarvan u de maker vertrouwt.
« Laatst bewerkt op: 2010/09/11, 11:28:13 door HarzG »
Xubuntu 18.04; siduction-15.1.0 Xfce

Offline Thomas de Graaff

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #3 Gepost op: 2010/09/11, 11:52:11 »
Ik denk, net als Heir4c dat het handig is als je even aangeeft om welk pakket het gaat dat je wilt installeren. Er zijn namelijk verschillende manieren mogelijk. Je kan een pakket uit de repositories halen, je kan een extra repository toevoegen, en vervolgens een pakket daaruit installeren. Je kan een los deb bestand downloaden en installeren. Je kan een tarball downloaden, omzetten naar een deb, en installeren, je kan de broncode downloaden, compileren, en installeren. En wellicht kan er nog meer. :)

Dus als je even aangeeft welk(e) pakket(ten) het betreft, dan is het wat makkelijker hulp te bieden. :)

Offline jolo

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #4 Gepost op: 2010/09/11, 13:24:13 »
Ik weet echter niet hoe ik ze moet installeren. Downloaden lukt wel en uitpakken ook, maar hoe het verder moet weet ik niet.
Check alvast op de site van AllesLinux.com dit artikel Software Installeren (Deb, RPM, Tgz en tar.gz/bz2).
Hoofd PC januari 2018 HP Compaq Elite 8300 SFF Windows 10 & Xubuntu 18.04.1
PC 2011 Asus P8Z68-V Pro i7 2600K 8 GB RAM GT730 Xubuntu 18.04 & testversie Xubuntu 19.04  
PC 2007 Asus P5B E6600 2GB RAM 8800GTS  
Notebook 2008 Lenovo ThinkPad R61i 8932GMG 2,5 GB RAM

Offline Para

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #5 Gepost op: 2010/09/11, 15:40:54 »
Het betreft hier het programma dlRaw
Reeds bedankt voor de vele reacties

Offline Carharttguy

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #6 Gepost op: 2010/09/11, 15:49:33 »
@Para: Op de site staat er dat dlRaw niet meer voort ontwikkeld wordt, weet je zeker dat het dan wel een goed idee is om dat programma te gebruiken?

Is Rawstudio geen optie voor jou? Deze kan je erg makkelijk installeren omdat deze in het Software Center staat. (Toepassingen -> Ubuntu Softwarecentrum -> rechtsboven "rawstudio invullen" -> op installeren klikken.)

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #7 Gepost op: 2010/09/11, 18:48:48 »
Een howto:
http://www.mm-log.com/dlraw/download

Commando voor de pakketten die je nodig hebt volgens de link:
sudo apt-get install qt4-qmake libqt4-dev libgimp2.0-dev libjpeg62-dev liblcms1-dev libexiv2-dev libmagick++-dev libmagickwand2 ccache gcc g++

Offline Para

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #8 Gepost op: 2010/09/11, 20:15:07 »
Bedankt voor de informatie.
Kan je me misschien ook de command line voor dcraw doorgeven?
Bij voorbaat dank.

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #9 Gepost op: 2010/09/12, 09:18:20 »
Niet direct. Ik zie dat dcRaw in UbuntuSoftwareCenter zit. (of ook via Systeem>Beheer>Synaptic PakketBeheer)
Je kan ook zoeken met: RAW
Zo krijg je verschillende pakketten te zien.

Heb wel even via google gezocht wat dit is. Hier enkele linkjes die ik volgde en zo kwam ik op het progje: gPhoto2 dat blijkbaar ook in Ubuntu zit.
http://en.wikipedia.org/wiki/Dcraw
http://www.cybercom.net/~dcoffin/dcraw/
http://gphoto.sourceforge.net/


Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #10 Gepost op: 2010/09/12, 09:33:00 »
Nog iets in verband met dlRaw.
Heb dit proberen installeren maar hij zegt dat er geen bestand g++-4.3 aanwezig is in /usr/bin. Dat klopt want is reeds 4.4. Dus daar is een probleem. Hij wil een oudere versie gebruiken maar de nieuwe is al aanwezig.

Dus wel even de volgorde meegeven. Je dwonload dlRaw en je pak het uit. (Ik heb dat in de map /Documenten gedaan. Je navigeert vanuit de terminal naar die map. Dus:
gerolf@LinLap:~$ cd /home/gerolf/Documenten/dlRawHet pad moet je natuurlijk aanpassen aan dat waar jij het bestand uitgepakt hebt. En ook de gebruikersnaam moet anders.
Dan krijg je dit:
gerolf@LinLap:~/Documenten/dlRaw$qmakeDan kreeg ik dit:
gerolf@LinLap:~/Documenten/dlRaw$Dan intikken:
makeHierna kreeg ik dit als output:
cd dlRawProject/ && /usr/bin/qmake /home/gerolf/Documenten/dlRaw/dlRawProject/dlRawProject.pro -unix -o Makefile
cd dlRawProject/ && make -f Makefile
make[1]: Map '/home/gerolf/Documenten/dlRaw/dlRawProject' wordt binnengegaan
/usr/bin/uic-qt4 ../Sources/dlMainWindow.ui -o ../Objects/ui_dlMainWindow.h
Warning: name verticalWidget is already used
Warning: name verticalLayout_96 is already used
Warning: name verticalLayout_97 is already used
Warning: name verticalSpacer_41 is already used
Warning: name widget_54 is already used
Warning: name verticalLayout_139 is already used
Warning: name verticalSpacer_11 is already used
Warning: name RGBhorizontalSpacer_52 is already used
Warning: name verticalLayout_140 is already used
Warning: name RGBhorizontalSpacer_52 is already used
Warning: name horizontalSpacer_7 is already used
'verticalSpacer_6' isn't a valid widget
ccache /usr/bin/g++-4.3 -c -pipe -O2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -O3 -fopenmp -ffast-math -DDLRAW_HAVE_GIMP -Wall -W -D_REENTRANT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I/usr/include/ImageMagick -I../Objects -I../Objects -o ../Objects/dlCurve.o ../Sources/dlCurve.cpp
/usr/bin/g++-4.3: No such file or directory
make[1]: *** [../Objects/dlCurve.o] Fout 1
make[1]: Map '/home/gerolf/Documenten/dlRaw/dlRawProject' wordt verlaten
make: *** [sub-dlRawProject-make_default] Fout 2
Zoals boven vermeld staat hier als laatste dat hij dat bestand niet vind.
Hoe dit op te lossen weet ik niet.
Waarschijnlijk moet je ergens in het pakket zelf dingen veranderen enzo dus daar kan ik niet bij helpen wegens geen kennis.

Hopelijk raak je er uit met hulp van anderen.

Met vriendelijke groet,
heir4c


Offline HarzG

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #11 Gepost op: 2010/09/12, 11:22:58 »
Dat heir4c heel veel speurwerk en testen heeft gedaan, is zeer "klantvriendelijk". Maar misschien zijn andere programma's beter geschikt voor je wensen, gezien de status van het project (het is een beta-versie en de laatste ontwikkelingen waren in oktober 2009).

Is Rawstudio geen optie voor jou? Deze kan je erg makkelijk installeren omdat deze in het Software Center staat. (Toepassingen -> Ubuntu Softwarecentrum -> rechtsboven "rawstudio invullen" -> op installeren klikken.)
Alle programma's die langere tijd stagneren in de ontwikkeling lopen tegen problemen met afhankelijkheden aan. Dat is dat probleem wat bij de installatie van heir4c ook naar voren kwam. dlraw werkt met een oudere versie van g++. Je kan dat oplossen door in je systeem de versie van g++ te downgraden naar 4.3 (theoretisch kan dat via synaptic). Maar als je zo'n actie zou uitvoeren, hebben misschien weer tientallen andere programma's problemen. Dat zit in het feit dat zij misschien niet meer goed kunnen samenwerken met g++-4.3.
Vandaar zag je in mijn advies in mijn eerste reactie een verwijzing naar de Ubuntu-documentatie: daar staat kort gezegd  "installeer alleen dat wat K/X/Ubuntu blijvend wil ondersteunen".

Het is ook een afweging van de beschikbare tijd: iemand die meer tijd heeft en kennis heeft, die kan bijv. Gentoo-Linux installeren. Hierin kan je elk onderdeel voor je eigen systeem zelf maken en het wordt gecompileerd bij elke installatie van een programma.
In Ubuntu wordt met pakketten gewerkt die voorbereid en passend zijn voor een bepaalde Ubuntu-versie. Op deze manier komen de problemen met niet/moeilijk op te lossen afhankelijkheden niet voor.
Xubuntu 18.04; siduction-15.1.0 Xfce

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #12 Gepost op: 2010/09/12, 13:47:59 »
HarzG, Dank voor het toegevoegde commentaar. Een prima uitleg en correct advies.

Offline Thomas de Graaff

  • Lid
  • Steunpunt: Nee
Re: command line software
« Reactie #13 Gepost op: 2010/09/12, 15:25:12 »
Geheel eens met wat hierboven gemeld wordt.

Maar, for the record:

Wat soms een oplossing kan zijn wanneer een ouder pakket gezocht wordt is het maken van een symbolic link naar het nieuwe pakket, met de naam van het oude pakket. Veel packetten zijn backward compatible, en vaak werkt het gewoon als je een linkje naar het nieuwe pakket toevoegt.

In dit geval zou dat zijn:
sudo ln -s /usr/bin/g++-4.4 /usr/bin/g++-4.3
Maar het kan zijn dat er meer pakketjes nieuwer zijn, en dat je zodra deze fout is opgelost tegen de volgende aanloopt.. Maar je weet nooit, misschien werkt het dan wel.